[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.LookupResultField

Name of field to use as lookup value

## Declaration

Source position: db.pas line 438

`published property TField.LookupResultField : string read FLookupResultField write FLookupResultField;`

## Description

LookupResultField contains the field name from a field in the dataset pointed to by the LookupDataset property. The value of this field will be used as the lookup's field value when a record is found in the lookup dataset as result for the lookup field value.

## See also

KeyFields |  | Key fields to use when looking up a field value.
LookupDataset |  | Dataset with lookup values
LookupKeyFields |  | Names of fields on which to perform a locate
LookupCache |  | Should lookup values be cached

Documentation generated on: Feb 26 2014